package com.miaxis.app.controller.wechat;

import com.alibaba.fastjson.JSONObject;
import com.miaxis.common.aliyunOSS.AliyunConfig;
import com.miaxis.common.aliyunOSS.AliyunUpload;
import com.miaxis.common.constant.Constants;
import com.miaxis.common.core.controller.BaseController;
import com.miaxis.common.core.domain.Response;
import com.miaxis.common.core.domain.entity.SysUser;
import com.miaxis.common.core.domain.entity.UserInfo;
import com.miaxis.common.core.page.ResponsePageInfo;
import com.miaxis.common.enums.PictureTypeEnum;
import com.miaxis.common.exception.CustomException;
import com.miaxis.common.utils.SecurityUtils;
import com.miaxis.feign.dto.WxResult;
import com.miaxis.feign.service.IWxService;
import com.miaxis.file.vo.FileVo;
import com.miaxis.user.dto.UserDto;
import com.miaxis.user.service.IUserInfoService;
import com.miaxis.user.vo.UserVo;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

/**
 * 【用户信息】Controller
 *
 * @author wwl
 * @date 2020-12-23
 */
@RestController
@RequestMapping(Constants.OPEN_PREFIX+"/wx")
@Api(tags={"【小程序-微信接口】"})
public class WxController extends BaseController{

    @Autowired
    private IWxService wxService;

    @Value("${app.appid}")
    private String appid;

    @Value("${app.secret}")
    private String secret;


    /**
     * 根据电话获取用户信息详细信息
     */
    @GetMapping(value = "/openid")
    @ApiOperation("获取用户openid")
    public Response<String> getInfo(String jscode){
        String result = wxService.getWxInfo(appid, secret, jscode,"authorization_code");
        JSONObject jsonString = JSONObject.parseObject(result);
        WxResult wxResult = JSONObject.toJavaObject(jsonString, WxResult.class);
        if (wxResult.getErrcode() == 0){
            return Response.success(wxResult.getOpenid()) ;
        }
        else{
            return Response.error(500,wxResult.getErrmsg());
        }

    }


}
