package com.miaxis.carousel.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 轮播图对象 carousel_chart_info
 *
 * @author miaxis
 * @date 2021-03-11
 */
@Data
@TableName("carousel_chart_info")
@ApiModel(value = "CarouselChartInfo", description = "轮播图对象 carousel_chart_info")
public class CarouselChartInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 图片名称 */
    @Excel(name = "图片名称")
    @TableField("picture_name")
    @ApiModelProperty(value = "图片名称")
    private String pictureName;

    /** 图片id--对应file_info的id */
    @Excel(name = "图片id--对应file_info的id")
    @TableField("file_id")
    @ApiModelProperty(value = "图片id--对应file_info的id")
    private Long fileId;

    /** 状态  0：有效(默认)、1：失效 （伪删除） */
    @Excel(name = "状态  0：有效(默认)、1：失效 （伪删除）", readConverterExp = "伪=删除")
    @TableField("status")
    @ApiModelProperty(value = "状态  0：有效(默认)、1：失效 （伪删除）")
    private Integer status;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setPictureName(String pictureName){
        this.pictureName = pictureName;
    }

    public String getPictureName(){
        return pictureName;
    }
    public void setFileId(Long fileId){
        this.fileId = fileId;
    }

    public Long getFileId(){
        return fileId;
    }
    public void setStatus(Integer status){
        this.status = status;
    }

    public Integer getStatus(){
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("pictureName", getPictureName())
            .append("fileId", getFileId())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("status", getStatus())
            .toString();
    }
}
